package com.slodon.b2b2c.vo.statistics;

import com.slodon.b2b2c.statistics.pojo.base.CategoryBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 * 封装概况-品类销售排行Vo对象
 * @author wuxy
 */
@Data
public class CategoryRankVO {

    @ApiModelProperty("商品分类id")
    private Integer categoryId;

    @ApiModelProperty("商品分类名称")
    private String categoryName;

    @ApiModelProperty("销售额")
    private BigDecimal saleAmount;

    @ApiModelProperty("销量")
    private Integer saleNum;

    public CategoryRankVO(CategoryBase categoryBase) {
        this.categoryId = categoryBase.getCategoryId();
        this.categoryName = categoryBase.getCategoryName();
        this.saleAmount = categoryBase.getSaleAmount();
        this.saleNum = categoryBase.getSaleNum();
    }
}
